org.springframework.mock.web.portlet

## Class MockResourceURL

- java.lang.Object
- - org.springframework.mock.web.portlet.MockBaseURL
  - - org.springframework.mock.web.portlet.MockResourceURL

All Implemented Interfaces:
  BaseURL, ResourceURL

    public class MockResourceURL
    extends MockBaseURL
    implements ResourceURL

Mock implementation of the `ResourceURL` interface.

Since:
  3.0
Author:
  Juergen Hoeller

### Field Summary

### Fields inherited from class org.springframework.mock.web.portlet.MockBaseURL

`parameters, URL_TYPE_ACTION, URL_TYPE_RENDER`

### Fields inherited from interface javax.portlet.ResourceURL

`FULL, PAGE, PORTLET, SHARED`

### Constructor Summary

Constructors
Constructor and Description
`MockResourceURL()`

### Method Summary

Methods
`String` `getCacheability()`
`String` `getResourceID()`
`void` `setCacheability(String cacheLevel)`
`void` `setResourceID(String resourceID)`
`String` `toString()`

### Methods inherited from class org.springframework.mock.web.portlet.MockBaseURL

`addProperty, encodeParameter, encodeParameter, getParameter, getParameterMap, getParameterNames, getParameterValues, getProperties, isSecure, setParameter, setParameter, setParameters, setProperty, setSecure, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javax.portlet.BaseURL

`addProperty, getParameterMap, setParameter, setParameter, setParameters, setProperty, setSecure, write, write`

### Constructor Detail

#### MockResourceURL

    public MockResourceURL()

### Method Detail

#### setResourceID

    public void setResourceID(String resourceID)

Specified by:
  `setResourceID` in interface `ResourceURL`

#### getResourceID

    public String getResourceID()

#### setCacheability

    public void setCacheability(String cacheLevel)

Specified by:
  `setCacheability` in interface `ResourceURL`

#### getCacheability

    public String getCacheability()

Specified by:
  `getCacheability` in interface `ResourceURL`

#### toString

    public String toString()

Specified by:
  `toString` in interface `BaseURL`
Overrides:
  `toString` in class `Object`